package com.fzm.mall.server.admin.finance_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/4/27 14:34
 * @description 积分类别
 * @since JDK 1.8
 */
public enum PlatformIntegralTypeEnum {
    PLATFORM(1),//平台积分
    BASE(2);//平台基础积分

    private Integer type;

    PlatformIntegralTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(PlatformIntegralTypeEnum.values())
                .map(PlatformIntegralTypeEnum::getType)
                .collect(Collectors.toList());
    }
}
